<?php

namespace App\Filters;

class GroupsFilter extends Filters
{
    protected function title($value)
    {
        return $this->builder->where('title', 'like', "%$value%");
    }

    protected function shopId($value)
    {
        if ($value) {
            return $this->builder->where('shop_id', $value);
        }
    }

    protected function status($value)
    {
        return $this->builder->where('status', $value);
    }
}
